Diagnostics
All operations require authentication.
Get the account diagnosisProduction
Get the account diagnosis. Returns the results of the last diagnosis of the email account: sending, receiving, webmail login, lock, suspension, spam flag, and MX and SRV records.
Path parameters
The internal name of your exchange service
The internal name of your exchange organization
Default email for this mailbox
Response
Determines if ingoing message has been received
Determines if outgoing message has been delivered
Determines if possible to authenticate with credentials
Determines if account is locked
Determines if MX record for account's domain is properly set
Determines if account is flagged as spammer
Determines if SRV (autodiscovery) record for account's domain is properly set
Determines if account is suspended
Last performed diagnostics date
Example uses exchangeService = string, organizationName = string, primaryEmailAddress = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ account/ {primaryEmailAddress}/ diagnostics \
-H "authorization: Bearer $OVH_TOKEN"{ "canReceiveEmail": true, "canSendEmail": true, "connectiveOWA": true, "isLocked": true, "isMxValid": true, "isSpammer": true, "isSrvValid": true, "isSuspended": true, "lastCheck": "2024-01-01T12:00:00Z"}
Run an account diagnosisProduction
Run an account diagnosis. Starts a diagnosis of the email account, which needs its password, and returns the task.
Path parameters
The internal name of your exchange service
The internal name of your exchange organization
Default email for this mailbox
Request body (required)
Account password
Response
Completion date
Function name
activateSharepointaddAccountaddAccountArchiveaddAccountImpersonationaddActiveSyncMailNotificationaddAliasaddDistributionGroupaddDistributionGroupManageraddDistributionGroupMemberaddDistributionGroupSendAsaddDistributionGroupSendOnBehalfToaddDomainaddDomainDisclaimeraddExchangeCustomIsolationaddExchangeDomainDKIMaddExchangeRemoteMailboxaddExchangeServiceAuthorizedIpaddExportPstRequestaddExternalContactaddFullAccessaddOutlookLicenseaddPublicFolderaddPublicFolderPermissionaddResourceAccountaddResourceDelegateaddSendAsaddSendConnectoraddSendOnBehalfToaddSharedAccountaddSharedAccountFullAccessaddSharedAccountSendAsaddSharedAccountSendOnBehalfTochangeHostnamechangePasswordclearDataOnDevicecloneTemplateExchangePrivateconfigureExchangeCustomerconfigureExchangeOwaMfacopyMailboxcreateExternalAntiSpamReceiveConnectordeleteAccountdeleteAccountArchivedeleteAccountImpersonationdeleteActiveSyncMailNotificationdeleteAliasdeleteDistributionGroupdeleteDistributionGroupManagerdeleteDistributionGroupMemberdeleteDistributionGroupSendAsdeleteDistributionGroupSendOnBehalfTodeleteDomaindeleteDomainDisclaimerdeleteExchangeCustomIsolationdeleteExchangeDomainDKIMdeleteExchangeRemoteMailboxdeleteExchangeServicedeleteExchangeServiceAuthorizedIpdeleteExportPstRequestdeleteExternalAntiSpamReceiveConnectordeleteExternalContactdeleteFullAccessdeleteOutlookLicensedeletePublicFolderdeletePublicFolderPermissiondeleteResourceAccountdeleteResourceDelegatedeleteSendAsdeleteSendConnectordeleteSendOnBehalfTodeleteSharedAccountdeleteSharedAccountFullAccessdeleteSharedAccountSendAsdeleteSharedAccountSendOnBehalfTodestroyPrivateVmdiagnoseAccountdisableExchangeDKIMenableExchangeDKIMexpandDrivegenerateOutlookUrlgeneratePstUrlinstallExchangeinstallSSLmaintenancemigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationMailingListmigrationResourceAccountmigrationServicereOpenHostedAccountreOpenOutlookLicensereOpenPrivateAccountreOpenPrivateVmsetAccountsetAccountArchivesetAliassetDistributionGroupsetDnssetDomainsetDomainDisclaimersetExchangeAccountProtocolsetExchangeRemoteMailboxsetExchangeServiceDevicesetExternalAntiSpamReceiveConnectorsetExternalContactsetPublicFoldersetPublicFolderPermissionsetResourceAccountsetSendConnectorsetServicesetSharedAccountsuspendAccountsuspendExchangeServicesuspendHostedAccountsuspendOutlookLicensesuspendPrivateAccountsuspendPrivateVmunsuspendAccountunsuspendExchangeServiceunsuspendHostedAccountupdateExchangeServiceDeviceupgrade2016Task id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses exchangeService = string, organizationName = string, primaryEmailAddress = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ account/ {primaryEmailAddress}/ diagnostics \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateSharepoint", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}